%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define ff_epoch 0
%define ff_ver 2.0.0.19
%define subrel 4

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: GNOME theme for Mozilla Firefox
Name: mozilla-firefox-theme-gnome
Version: 2.0.0
Release: %mkrel 7
License: GPL
Group: Networking/WWW
URL: https://addons.mozilla.org/en-US/firefox/addon/3814
Source: https://addons.mozilla.org/en-US/firefox/downloads/file/12420/gnome-2.0.0-fx.jar
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}

%description
This package contains the GNOME theme for Mozilla Firefox, using icons from the
Tango Desktop Project. It is a variant of the "Tango" theme for use with the
GNOME default icons.

%prep
# Unfortunately, we have to fix the packaging for this one. :(
%setup -T -q -c -n %{name}-%{version}
unzip %{SOURCE0} icon.png install.rdf preview.png
mkdir chrome
cp %{SOURCE0} chrome/tmp.xpi
cat > chrome.manifest <<_EOF_
skin    communicator    gnome   jar:chrome/tmp.xpi!/communicator/
skin    global  gnome   jar:chrome/tmp.xpi!/global/
skin    browser gnome   jar:chrome/tmp.xpi!/browser/
skin    mozapps gnome   jar:chrome/tmp.xpi!/mozapps/
skin    help    gnome   jar:chrome/tmp.xpi!/help/
skin    subskin gnome   jar:chrome/tmp.xpi!/subskin/
_EOF_

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %_mozillapath
%{_mozillaextpath}


%changelog
* Wed Dec 17 2008 Vincent Danen <vdanen@mandriva.com> 2.0.0-7.4mdv2008.1
- rebuild against firefox 2.0.0.19

* Thu Nov 13 2008 Vincent Danen <vdanen@mandriva.com> 2.0.0-7.3mdv2008.1
- rebuild against firefox 2.0.0.18

* Thu Sep 25 2008 Vincent Danen <vdanen@mandriva.com> 2.0.0-7.2mdv2008.1
- rebuild against firefox 2.0.0.17

* Thu Jul 17 2008 Vincent Danen <vdanen@mandriva.com> 2.0.0-7.1mdv2009.0
- rebuild against firefox 2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 2.0.0-7mdv2009.0
+ Revision: 231262
- Rebuild for firefox 2.0.0.15

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-6mdv2009.0
+ Revision: 195597
- rebuild for mozilla-firefox-2.0.0.14

* Wed Mar 26 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.0-5mdv2008.1
+ Revision: 190291
- bump release (for mozilla-firefox-2.0.0.13)
- disable useless debug package

* Sat Feb 09 2008 Emmanuel Andry <eandry@mandriva.org> 2.0.0-4mdv2008.1
+ Revision: 164484
- Rebuilt for FF 2.0.0.12

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.0.0-3mdv2008.1
+ Revision: 117786
- own firefox directories so that they're not left behind on uninstall

* Tue Dec 11 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0-2mdv2008.1
+ Revision: 117480
- Rebuilt for FF 2.0.0.11

* Fri Nov 09 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0.0-1mdv2008.1
+ Revision: 107048
- First package.
- Created package structure for mozilla-firefox-theme-gnome.

